# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/twisted-19.7.0-python_2.7-on-linux_canary, last modified Thu Sep 12 18:06:14 2019
# ------------------------------------------------

package:
    name: twisted
    version: 19.7.0
source:
    sha256: d5db93026568f60cacdc0615fcd21d46f694a6bfad0ef3ff53cde2b4bb85a39d
    url: https://pypi.io/packages/source/T/Twisted/Twisted-19.7.0.tar.bz2
build:
    entry_points:
        - cftp = twisted.conch.scripts.cftp:run
        - ckeygen = twisted.conch.scripts.ckeygen:run
        - conch = twisted.conch.scripts.conch:run
        - mailmail = twisted.mail.scripts.mailmail:run
        - pyhtmlizer = twisted.scripts.htmlizer:run
        - tkconch = twisted.conch.scripts.tkconch:run
        - trial = twisted.scripts.trial:run
        - twist = twisted.application.twist._twist:Twist.main
        - twistd = twisted.scripts.twistd:run
    number: '1'
    script:
        - /tmp/build/80754af9/twisted_1568311695231/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
            -m pip install . --no-deps -vv
    string: py27h7b6447c_1
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.5.15 1
        - certifi 2019.6.16 py27_1
        - cython 0.29.13 py27he6710b0_0
        - incremental 17.5.0 py27_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_1
        - pip 19.2.2 py27_0
        - python 2.7.16 h8b3fad2_5
        - readline 7.0 h7b6447c_5
        - setuptools 41.0.1 py27_0
        - sqlite 3.29.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.4 py27_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - attrs >=17.4.0
        - automat >=0.3.0
        - bcrypt
        - constantly >=15.1
        - cryptography >=1.5
        - hyperlink >=17.1.1
        - idna >=0.6,!=2.3
        - incremental >=16.10.1
        - libgcc-ng >=7.3.0
        - pip
        - pyasn1
        - pyhamcrest >=1.9.0
        - pyopenssl >=16.0.0
        - python >=2.7,<2.8.0a0
        - service_identity >=18.1.0
        - zope.interface >=4.4.2
    run_constrained:
        - h2 >=3.0,<4.0
        - priority >=1.1.0,<2.0
        - pyserial >=3.0
test:
    commands:
        - ckeygen --help
        - cftp --help
        - conch --help
        - pyhtmlizer --help
        - trial --help
        - twist --help
        - twistd --help
    imports:
        - twisted
        - twisted._threads
        - twisted.application
        - twisted.application.runner
        - twisted.application.twist
        - twisted.conch
        - twisted.conch.client
        - twisted.conch.insults
        - twisted.conch.openssh_compat
        - twisted.conch.scripts
        - twisted.conch.ssh
        - twisted.conch.ui
        - twisted.cred
        - twisted.enterprise
        - twisted.internet
        - twisted.logger
        - twisted.mail
        - twisted.mail.scripts
        - twisted.names
        - twisted.news
        - twisted.pair
        - twisted.persisted
        - twisted.plugins
        - twisted.positioning
        - twisted.protocols
        - twisted.protocols.haproxy
        - twisted.python
        - twisted.runner
        - twisted.scripts
        - twisted.spread
        - twisted.tap
        - twisted.trial
        - twisted.trial._dist
        - twisted.web
        - twisted.web._auth
        - twisted.words
        - twisted.words.im
        - twisted.words.protocols
        - twisted.words.protocols.jabber
        - twisted.words.xish
about:
    description: 'Twisted is an event-driven networking engine written in Python.

        It runs on Python 2 and an ever growing subset also works with Python 3.

        '
    dev_url: https://github.com/twisted/twisted
    doc_source_url: https://github.com/twisted/twisted/blob/trunk/docs/index.rst
    doc_url: http://twistedmatrix.com/documents/current/
    home: http://twistedmatrix.com/
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: An asynchronous networking framework written in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
        - ocefpaf
